0

I ran through the update process with this site a while ago when I upgraded to EE 2.5.5 and finished the EE upgrade no problem, but today I've tried to run the same update again but going to 2.7.3 and it's got as far as 2.7.2 with no problem and then produces this error:

{"error":" Error Number: 1146</p>\n\n>

Table 'fabric_ee_v2.exp_cartthrob_settings' doesn't exist</p>\n\n>

SELECT *\nFROM (exp_cartthrob_settings)</p>\n\n>

Filename: /Users/tyssen/Documents/Tyssen Design/3. Sites 2010-11/Fabric Studio/server/third_party/cartthrob/upd.cartthrob.php</p>\n\n>

Line Number: 800</p>"}

Both CT 2.4 and the updater modules are in place. Last time I did the update I was able to update EE and then update CT later.

0
2

I always rename my system/expressionengine/third_party directory before running EE updates to avoid potential conflicts like this.

Since around 2.6 the EE updater also invokes add-on updates and can cause a failed update with very little debugging information to go on. Renaming the directory simply prevents any of this from happening and lets EE do what it needs to do.

Just remember to update your extensions after the EE update by visiting your extensions page, and associated settings, running module updates, and updating any fieldtypes by visiting the fieldtype's global settings pages (if they exist).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.